Bug 177753 - FC5T2 release notes -- SOH ('\001') characters after section numbers
FC5T2 release notes -- SOH ('\001') characters after section numbers
Status: CLOSED RAWHIDE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tommy Reynolds
Karsten Wade
:
Depends On:
Blocks: fc-relnotes-blocker fc5-relnotes-traqr
  Show dependency treegraph
 
Reported: 2006-01-13 13:02 EST by Alexandre Oliva
Modified: 2007-04-18 13:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-17 23:46:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-01-13 13:02:24 EST
The RELEASE-NOTES-en.txt file contains control characters after every section
number in the body of the text (i.e., not in the outline in the very beginning).
 If you less /usr/share/doc/fedora-release-4.91-1/RELEASE-NOTES-en.txt, you find
stuff like this:

2.\001Overview of Fedora Core 4 test1

(yeah, it says FC4T1, but that's a separate bug :-)

The \001 looks very ugly, more embarrassingly so in the installer release notes
viewer.
Comment 1 Karsten Wade 2006-01-25 15:34:37 EST
Reassigning to a toolchain expert to see what is happening here.
Comment 2 Tommy Reynolds 2006-01-25 17:13:10 EST
I am seeing a 0xC2 0xA0 unicode sequence here, instead of the \001 you mention.

Eterm barfs on it but gnome-terminal displays the text without any artifacts.

This is probably a locale problem when generating the text file versions.  I'll
check further.

Note You need to log in before you can comment on or make changes to this bug.